.social_link_items {
  max-width: 304px;
  li {
    width: 48px;
    height: 48px;
    border-radius: 100%;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    &:not(:first-child) {
      margin-left: 16px;
    }

    button {
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: #fff;
    }

    &:hover {
      animation: slide-top 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
    }

    @keyframes slide-top {
      0% {
        transform: translateZ(0) translateY(0);
      }
      100% {
        transform: translateZ(160px) translateY(-5px) scale(1.05);
        box-shadow: 0 7px 15px 0 rgba(0, 0, 0, 0.5);
      }
    }
  }

  li:hover {
    animation: shadow-drop 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
  }

  @keyframes shadow-drop {
    0% {
      transform: translateZ(0) translateX(0) translateY(0);
    }
    100% {
      transform: translateZ(50px) translateX(0px) translateY(-5px);
      box-shadow: 0 8px 20px rgba(0, 0, 0, 0.5);
    }
  }
}

@media screen and (max-width: 600px) {
  .social_link_items {
    li:not(:first-child) {
      margin-left: 6px;
    }
  }
}
